site_name: SDL
site_author: Sam Lantinga slouken@libsdl.org
site_description: Simple Direct Media Layer
docs_dir: docs
site_dir: build/docs
repo_url: https://github.com/libsdl-org/SDL
repo_name: GitHub

theme:
  name: readthedocs
  highlightjs: true
  hljs_languages: [c]

markdown_extensions:
  - toc:
      toc_depth: 2

nav:
  - Home: README.md
  - General:
    - CMake: README-cmake.md
    - Git: README-git.md
    - HG: README-hg.md
    - VisualC: README-visualc.md
    - KMSDRN: README-kmsbsd.md
    - Porting: README-porting.md
    - DirectFB: README-directfb.md
    - DynAPI: README-dynapi.md
    - Gestures: README-gesture.md
    - Touch: README-touch.md
  - Platform:
    - Overview: README-platforms.md
    - Android: README-android.md
    - Empscripten: README-emscripten.md
    - Linux: README-linux.md
    - OS X: README-macosx.md
    - iOS: README-ios.md
    - NativeClient: README-nacl.md
    - OS2: README-os2.md
    - Pandora: README-pandora.md
    - PSP: README-psp.md
    - Raspberry Pi: README-raspberrypi.md
    - WinCE: README-wince.md
    - Windows: README-windows.md
    - WinRT: README-winrt.md
